<html>
<head>
<title>OgreSimplePageContentCollection.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_f1fa7196649e3987904dbdb4948bc856.html">Components</a>      </li>
      <li class="navelem"><a class="el" href="dir_b4dabe1aeee1fabc669d37783945a897.html">Paging</a>      </li>
      <li class="navelem"><a class="el" href="dir_c90181f353a19ac84e93eaccff6d8392.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreSimplePageContentCollection.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreSimplePageContentCollection_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __Ogre_SimplePageContentCollection_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __Ogre_SimplePageContentCollection_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgrePagingPrerequisites_8h.html">OgrePagingPrerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgrePageContentCollection_8h.html">OgrePageContentCollection.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgrePageContentCollectionFactory_8h.html">OgrePageContentCollectionFactory.h</a>&quot;</span>
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 <span class="keyword">namespace </span>Ogre
<a name="l00037"></a>00037 {
<a name="l00045"></a>00045 
<a name="l00046"></a>00046 
<a name="l00066"></a><a class="code" href="classOgre_1_1SimplePageContentCollection.html">00066</a>     <span class="keyword">class </span><a class="code" href="OgrePagingPrerequisites_8h.html#a12507ffbcb05d7b7af41403ff7db8a5c">_OgrePagingExport</a> <a class="code" href="classOgre_1_1SimplePageContentCollection.html" title="Specialisation of PageContentCollection which just provides a simple list of PageContent instances...">SimplePageContentCollection</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a>
<a name="l00067"></a>00067     {
<a name="l00068"></a>00068     <span class="keyword">public</span>:
<a name="l00069"></a><a class="code" href="classOgre_1_1SimplePageContentCollection.html#ab2bba46c537debed82c678c066257a46">00069</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;PageContent*&gt;::type</a> <a class="code" href="classOgre_1_1SimplePageContentCollection.html#ab2bba46c537debed82c678c066257a46">ContentList</a>;
<a name="l00070"></a><a class="code" href="classOgre_1_1SimplePageContentCollection.html#a83a7da85aebcb68a7d0042ac11391d3b">00070</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="code" href="classOgre_1_1SimplePageContentCollection.html#a83a7da85aebcb68a7d0042ac11391d3b">SUBCLASS_CHUNK_ID</a>;
<a name="l00071"></a><a class="code" href="classOgre_1_1SimplePageContentCollection.html#acec3e8d6e9439e811e76a3ed1584f1f7">00071</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="code" href="classOgre_1_1SimplePageContentCollection.html#acec3e8d6e9439e811e76a3ed1584f1f7">SUBCLASS_CHUNK_VERSION</a>;
<a name="l00072"></a>00072     <span class="keyword">protected</span>:
<a name="l00073"></a><a class="code" href="classOgre_1_1SimplePageContentCollection.html#a1129f8941928ba21ddc60a45faaba219">00073</a>         <a class="code" href="classOgre_1_1SimplePageContentCollection.html#ab2bba46c537debed82c678c066257a46">ContentList</a> <a class="code" href="classOgre_1_1SimplePageContentCollection.html#a1129f8941928ba21ddc60a45faaba219">mContentList</a>;
<a name="l00074"></a>00074     <span class="keyword">public</span>:
<a name="l00075"></a>00075         <a class="code" href="classOgre_1_1SimplePageContentCollection.html" title="Specialisation of PageContentCollection which just provides a simple list of PageContent instances...">SimplePageContentCollection</a>(<a class="code" href="classOgre_1_1PageContentCollectionFactory.html" title="Define the interface to a factory class that will create subclasses of PageContentCollection.">PageContentCollectionFactory</a>* creator);
<a name="l00076"></a>00076         ~<a class="code" href="classOgre_1_1SimplePageContentCollection.html" title="Specialisation of PageContentCollection which just provides a simple list of PageContent instances...">SimplePageContentCollection</a>();
<a name="l00077"></a>00077 
<a name="l00081"></a>00081         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a>* createContent(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; typeName);
<a name="l00082"></a>00082 
<a name="l00087"></a>00087         <span class="keyword">virtual</span> <span class="keywordtype">void</span> destroyContent(<a class="code" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a>* coll);
<a name="l00088"></a>00088 
<a name="l00090"></a><a class="code" href="classOgre_1_1SimplePageContentCollection.html#a44649c41c9a84f36203f34a2ee892b47">00090</a>         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1SimplePageContentCollection.html#ab2bba46c537debed82c678c066257a46">ContentList</a>&amp; <a class="code" href="classOgre_1_1SimplePageContentCollection.html#a44649c41c9a84f36203f34a2ee892b47" title="Get const access to the list of content.">getContentList</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mContentList; }
<a name="l00091"></a>00091 
<a name="l00092"></a>00092         <span class="comment">// Overridden from PageContentCollection</span>
<a name="l00093"></a>00093         <span class="keyword">virtual</span> <span class="keywordtype">void</span> save(<a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>&amp; stream);
<a name="l00094"></a>00094         <span class="keyword">virtual</span> <span class="keywordtype">void</span> frameStart(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> timeSinceLastFrame);
<a name="l00095"></a>00095         <span class="keyword">virtual</span> <span class="keywordtype">void</span> frameEnd(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> timeElapsed);
<a name="l00096"></a>00096         <span class="keyword">virtual</span> <span class="keywordtype">void</span> notifyCamera(<a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam);
<a name="l00097"></a>00097         <span class="keywordtype">bool</span> prepare(<a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>&amp; stream);
<a name="l00098"></a>00098         <span class="keywordtype">void</span> load();
<a name="l00099"></a>00099         <span class="keywordtype">void</span> unload();
<a name="l00100"></a>00100         <span class="keywordtype">void</span> unprepare();
<a name="l00101"></a>00101 
<a name="l00102"></a>00102     <span class="keyword">protected</span>:
<a name="l00103"></a>00103 
<a name="l00104"></a>00104 
<a name="l00105"></a>00105 
<a name="l00106"></a>00106 
<a name="l00107"></a>00107     };
<a name="l00108"></a>00108 
<a name="l00109"></a>00109 
<a name="l00111"></a><a class="code" href="classOgre_1_1SimplePageContentCollectionFactory.html">00111</a>     <span class="keyword">class </span><a class="code" href="OgrePagingPrerequisites_8h.html#a12507ffbcb05d7b7af41403ff7db8a5c">_OgrePagingExport</a> <a class="code" href="classOgre_1_1SimplePageContentCollectionFactory.html" title="Factory class for SimplePageContentCollection.">SimplePageContentCollectionFactory</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1PageContentCollectionFactory.html" title="Define the interface to a factory class that will create subclasses of PageContentCollection.">PageContentCollectionFactory</a>
<a name="l00112"></a>00112     {
<a name="l00113"></a>00113     <span class="keyword">public</span>:
<a name="l00114"></a><a class="code" href="classOgre_1_1SimplePageContentCollectionFactory.html#a285aec0d6c6f714d3f07a72e32a152e0">00114</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1SimplePageContentCollectionFactory.html#a285aec0d6c6f714d3f07a72e32a152e0">FACTORY_NAME</a>;
<a name="l00115"></a>00115 
<a name="l00116"></a><a class="code" href="classOgre_1_1SimplePageContentCollectionFactory.html#a2174592b06912e3434ffaf377afc8e3b">00116</a>         <a class="code" href="classOgre_1_1SimplePageContentCollectionFactory.html#a2174592b06912e3434ffaf377afc8e3b">SimplePageContentCollectionFactory</a>() {}
<a name="l00117"></a><a class="code" href="classOgre_1_1SimplePageContentCollectionFactory.html#a21a3fd66fa62c377913b4f92f954cf98">00117</a>         <a class="code" href="classOgre_1_1SimplePageContentCollectionFactory.html#a21a3fd66fa62c377913b4f92f954cf98">~SimplePageContentCollectionFactory</a>() {}
<a name="l00118"></a>00118 
<a name="l00119"></a><a class="code" href="classOgre_1_1SimplePageContentCollectionFactory.html#a7fe0f293245eff3b9a0cb9ad23c0a522">00119</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1SimplePageContentCollectionFactory.html#a7fe0f293245eff3b9a0cb9ad23c0a522">getName</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> FACTORY_NAME; }
<a name="l00120"></a>00120 
<a name="l00121"></a><a class="code" href="classOgre_1_1SimplePageContentCollectionFactory.html#a3c3ba445b4c7b3428d5b8a0c998c1afa">00121</a>         <a class="code" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a>* createInstance() 
<a name="l00122"></a>00122         {
<a name="l00123"></a>00123             <span class="keywordflow">return</span> <a class="code" href="group__Memory.html#gab5fc1358fd5a889de0a06d07e45df1ff">OGRE_NEW</a> <a class="code" href="classOgre_1_1SimplePageContentCollection.html" title="Specialisation of PageContentCollection which just provides a simple list of PageContent instances...">SimplePageContentCollection</a>(<span class="keyword">this</span>); 
<a name="l00124"></a>00124         }
<a name="l00125"></a><a class="code" href="classOgre_1_1SimplePageContentCollectionFactory.html#a1d05d1e51b58261f5f2e2cfa23980408">00125</a>         <span class="keywordtype">void</span> destroyInstance(<a class="code" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a>* c)
<a name="l00126"></a>00126         {
<a name="l00127"></a>00127             <a class="code" href="group__Memory.html#gad18eff671a00617b21c8e35a7f545690">OGRE_DELETE</a> c;
<a name="l00128"></a>00128         }
<a name="l00129"></a>00129 
<a name="l00130"></a>00130 
<a name="l00131"></a>00131     };
<a name="l00132"></a>00132 
<a name="l00135"></a>00135 }
<a name="l00136"></a>00136 
<a name="l00137"></a>00137 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:52
</p>
</body>
</html>
